## blazar-nova 7.0.0

=== debian/changelog ===
blazar-nova (7.0.0-2) unstable; urgency=medium

  * Restrict unit testing to Architecture: amd64 arm64 ppc64el as the tests
    needs python3-nova, which depends on Ceph, that is not available on non-64
    bits arch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2025 08:18:41 +0200

blazar-nova (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:07:38 +0200

blazar-nova (7.0.0~rc1-3) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 09:23:04 +0200

blazar-nova (7.0.0~rc1-2) experimental; urgency=medium

  * Fixed d/copyright holder list.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 16:11:09 +0100

blazar-nova (7.0.0~rc1-1) experimental; urgency=medium

  * Initial release. (Closes: #1100491)

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 11:06:36 +0100

## blazar-nova 8.0.0~rc1

=== debian/changelog ===
blazar-nova (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:37:33 +0200

blazar-nova (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 19:19:54 +0200

## blazar-nova 8.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.8.0 # Apache-2.0
oslo.config>=8.6.0 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
blazar-nova (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:39:20 +0200

=== debian/control ===
Source: blazar-nova
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploader:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 openstack-pkg-tools (>= 133~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-nova,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslotest,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 python3-wsgi-intercept,
 subunit,
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/blazar-nova
Vcs-Git: https://salsa.debian.org/openstack-team/services/blazar-nova.git
Homepage: https://github.com/openstack/blazar-nova
Rules-Requires-Root: no

Package: python3-blazarnova
Architecture: all
Multi-Arch: foreign
Depends:
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: Nova scheduler filter used for the host reservation feature
 This package provides the Nova-related filters and extensions for the Blazar
 Reservation Service in OpenStack. This package includes the Blazar filter, a
 Nova scheduler filter used for the host reservation feature. It ensures that
 Nova does not schedule regular instances on Blazar-owned hosts unless
 preemption is enabled, and that host lease boundaries are respected.
 .
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 The following two resource types are currently supported:
  * Compute host: reserve and lease with a unit of a whole host
  * Instance: reserve and lease with a unit of a flavor

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/blazar-nova.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=blazarnova

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	find . -iname '*.pyc' -delete

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'blazarnova\.tests.*'
endif

	dh_install

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/blazar-nova refs/tags/(\d[brc\d\.]+)
